function [start_index,end_index]=End_point_Adjustment(data,Final_level_pts,stdI0,PDL,PDR)

smooth_data=smoothdata(data,'gaussian',5);
ipt_sharp_event=findchangepts(smooth_data,'Statistic','mean','MaxNumChanges',2);

if length(ipt_sharp_event)==2
    
    leftmean=mean(data(1:PDL));
    rightmean=mean(data(end-PDR:end));
    leftmean_fit=mean(data(1:ipt_sharp_event(1)));
    rightmean_fit=mean(data(end-ipt_sharp_event(end):end));
    
    if abs(leftmean-leftmean_fit)>3*stdI0 || abs(rightmean-rightmean_fit)>3*stdI0
        change_pts=3;
        change_pt_max=10;
        while abs(leftmean-leftmean_fit)<3*stdI0 && abs(rightmean-rightmean_fit)<3*stdI0 && change_pts<=change_pt_max %change_pt_max to prevent overflow
            ipt_sharp_event=findchangepts(smooth_data,'Statistic','mean','MaxNumChanges',change_pts);
            change_pts=change_pts+1;
            leftmean_fit=mean(data(1:ipt_sharp_event(1)));
            rightmean_fit=mean(data(end-ipt_sharp_event(end):end));
        end
    end
    start_index=ipt_sharp_event(1);
    end_index=ipt_sharp_event(end);
else
    start_index=Final_level_pts(1);
    end_index=Final_level_pts(end);
end

end